@import url('https://fonts.googleapis.com/css2?family=Barlow:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Buda:wght@300&family=Gloria+Hallelujah&display=swap');

body {
    background: url(https://i.ibb.co/mFrXn9tJ/taustakuva.jpg);
    background-size: cover;
    background-attachment: fixed;
    margin: auto;
    font-family: "Barlow", sans-serif;
    font-weight: 300;
    font-style: normal;
}

header {
    text-align: center;
    margin: auto;
    width: 65%;
    margin-top: 50px;
    background-color: rgba(255, 255, 255, 0.55);
    border-top-left-radius: 30px;
    border-top-right-radius: 30px;
    border-top: #a7a7a7 1px solid;
    border-left: #a7a7a7 1px solid;
    border-right: #a7a7a7 1px solid;
}

nav {
    background-color: rgba(255, 255, 255, 0.88);
    overflow: hidden;
    margin: auto;
    width: 65%;
    font-family: "Gloria Hallelujah", cursive;
    font-weight: 400;
    font-style: normal;
    border-left: #a7a7a7 1px solid;
    border-right: #a7a7a7 1px solid;
}

nav ul {
    list-style-type: none; 
    display: flex; 
    margin: 0;
    justify-content: center;
    padding: 5px;
}

nav ul li {
    float: left; 
}

nav li a {
    display: block; 
    color: #5a7746;
    text-align: center; 
    padding: 14px 25px; 
    font-size: 16px;
    text-decoration: none;
    position: relative;
    transition: all 0.5s;
    text-shadow: #000000 0px 0px 1.5px;
    letter-spacing: 3px;
}

nav li a:hover {
    color: #5a7746;
    text-shadow: 0 0 10px #000000, 0 0 20px #6a816e, 0 0 30px #6a816e, 0 0 40px #000000;
}

a {
    color: #000000;
}

section {
    background-color: rgba(255, 255, 255, 0.92);
    text-shadow: #726472 0px 0px 1px;
    margin: auto;
    margin-top: 0%;
    text-align: justify;
    padding-top: 0;
    padding: 30px;
    width: 65%;
    letter-spacing: 1px;
    font-size: 15px;
    line-height: 1.6;
    border-left: #a7a7a7 1px solid;
    border-right: #a7a7a7 1px solid;
}

footer {
    background-color: rgba(255, 255, 255, 0.92);
    text-align: center;
    text-transform: uppercase;
    letter-spacing: 1.5px;
    font-size: 8px;
    max-width: 65%;
    padding: 20px;
    margin: auto;
    text-shadow: #000000 0px 0px 2px;
    margin-bottom: 50px;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    border-left: #a7a7a7 1px solid;
    border-right: #a7a7a7 1px solid;
    border-bottom: #a7a7a7 1px solid;
}


/* ETUSIVUN KUVAT */
* {
  box-sizing: border-box;
}

.column {
  float: left;
  width: 33.33%;
  padding: 5px;
}

.row::after {
  content: "";
  clear: both;
  display: table;
}

/* OTSIKOT */

h1 {
    font-family: "Buda", serif;
    font-weight: 300;
    font-style: normal;
    color: #5a7746;
    text-align: left;
    margin-left: 30px;
    font-size: 23px;
    letter-spacing: 2px;
    text-shadow: #000000 0px 0px 2px;
}

h2 {
    font-family: "Passion One", sans-serif;
    font-weight: 400;
    font-style: normal;
    color: #5a7746;
    text-shadow: #000000 0px 0px 2px;
    font-size: 12px;
    text-align: center;
    text-transform: uppercase;
}


h4 {
    font-family: "Meow Script", cursive;
    font-weight: 400;
    font-style: normal;
    font-size: 30px;
    text-align: center;
    color: #5a7746;
}

/* TEKSTIN EROTTAJA */
.hr-text {
  border: 0;
  line-height: 1em;
  position: relative;
  text-align: center;
  height: 1.5em;
  font-size: 14px;
  margin: 30px 15px;
}

.hr-text::before {
    content: "";
    background: linear-gradient(to right, transparent, #7e89c5, transparent);
    position: absolute;
    left: 0;
    top: 50%;
    width: 100%;
    height: 1px;
}

.hr-text::after {
    content: attr(data-content);
    position: relative;
    padding: 0 7px;
    line-height: 1.5em;
    color: #7e89c5;
    background-color: transparent;
}

/* KOIRIEN SIVU */
h3 {
    font-family: "Overlock SC", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 10px;
    text-align: center;
    text-transform: uppercase;
    padding: 5px;
}

h5 {
    font-family: "Gloria Hallelujah", cursive;
    font-weight: 400;
    font-style: normal;
    text-align: center;
    font-size: 24px;
    color: #5a7746;
    text-transform: uppercase;
    text-shadow: #000000 0px 0px 2px;
    letter-spacing: 4px;
}

#sukutaulu {
    padding: 0px;
	width: 100%;
	border-collapse: collapse;
    border: #2a3050 1px solid;
    margin-bottom: 50px;
}

#sukutaulu td {
	padding: 5px 10px;
    border: #bbbbbb 1px solid;
}

/* KOIRIEN LISTAUS */
table.koirat {
    width: 100%;
	margin: 20px 0 0 0;
	border-top: rgba(31, 30, 30, 0.2) 1.5px solid;
	border-bottom: rgba(31, 30, 30, 0.2) 1.5px solid;
    border-collapse: collapse;
    border-spacing: 0;
    background: transparent;
    font-size: 12px;
}

table.koirat th, table.koirat td {
    text-align: center;
    max-width: 30px;
}

table.koirat tbody {
    font-size: 1em;
    line-height: 15px;
}

table.koirat tbody tr {
    transition: background 0.9s, color 1.2s;
}

table.koirat tbody tr:nth-child(even) {
    background: transparent;
}

table.koirat tbody tr:hover {
    background: rgba(179, 179, 179, 0.7);
}

table.koirat tbody td {
    padding: 12px;
}

table.koirat tbody tr:hover td:first-child {
    background: rgba(0,0,0,0);
}

table.koirat tbody td:first-child {
    text-align: left;
    padding-left: 20px;
    font-weight: 400;
    background: transparent;
    transition: background 0.6s;
}

/* KILPAILUKALENTERI */
.kilpailukalenteri {
    overflow: auto;
    width: 100%;
    border: #a8a8a8 1px solid;
    border-radius: 3px;
}

.kilpailukalenteri caption {
    font-family: "Buda", serif;
    font-weight: 300;
    font-style: normal;
    font-size: 20px;
    text-align: left;
    color: #3f5332;
    text-shadow: #000000 0px 0px 1px;
    padding: 5px;
    background-color: #84968a;
}

.kilpailukalenteri table {
    height: 100%;
    width: 100%;
    table-layout: auto;
    text-align: left;
    font-size: 13px;
    background-color: #b7beb9;
}

.kilpailukalenteri th {
    font-family: "Passion One", sans-serif;
    font-weight: 400;
    font-style: normal;
    color: #5a7746;
    text-shadow: #000000 0px 0px 1px;
    padding: 4px;
    text-align: left;
    text-transform: uppercase;
    max-width: 20px;
}

.kilpailukalenteri td {
    color: #000000;
    padding: 4px;
    text-align: left;
    max-width: 20px;
}

/* TUONNIT */

.tuonnit {
    overflow: auto;
    width: 100%;
}

.tuonnit caption {
    font-family: "Buda", serif;
    font-weight: 300;
    font-style: normal;
    font-size: 20px;
    text-align: left;
    color: #3f5332;
    text-shadow: #000000 0px 0px 1px;
    padding: 5px;
    background-color: #84968a;
}

.tuonnit table {
    height: 100%;
    width: 100%;
    table-layout: auto;
    text-align: left;
    font-size: 13px;
    background-color: #b7beb9;
    border-radius: 3px;
    border: #a8a8a8 1px solid;

}

.tuonnit th {
    font-family: "Passion One", sans-serif;
    font-weight: 400;
    font-style: normal;
    color: #5a7746;
    text-shadow: #000000 0px 0px 1px;
    padding: 4px;
    text-align: left;
    text-transform: uppercase;
    max-width: 20px;
}

.tuonnit td {
    color: #000000;
    padding: 4px;
    text-align: left;
    max-width: 20px;
}

/* KISASIVUT */
.laatikon {
    flex: 1;
    padding: 15px;
    height: auto;
    color: #000000;
    text-align: justify;
    box-sizing: border-box;
}

.kilpailut {
      display: flex;
      gap: 10px;
      padding: 5px;
    }

.laatikko {
    background-color: #b7beb9;
    border: #a8a8a8 1px solid;
    border-radius: 5px;
    box-shadow: #000000 0px 0px 3px;
    flex: 1;
    padding: 30px;
    height: auto;
    text-align: justify;
    box-sizing: border-box;
    font-size: 14px;
}


.loota {
    display: flex;
    flex-direction: row-reverse;
    gap: 110px;
    align-items: center;
    padding: 20px;
    background-color: #b7beb9;
    border-radius: 3px;
    border: #a8a8a8 1px solid;
}

.kuva {
    max-width: 100%;
    height: auto;
    border: #646464 1px solid;
    border-radius: 5px;
  
}

.nimi {
    text-transform: uppercase;
    font-weight: 600; 
    color: #445a35;
    text-shadow: #5f5f5f 0px 0px 1px;
}

.boksi {
    display: flex;
    align-items: center;
}

.koiragrid {
    display: grid;
    grid-template-columns: 50% 50%;
}

.koiragrid div {
    padding: 15px;
}

/* MITTARI */
.main-container {
    width: 100%;
    max-width: 1200px; 
    padding: 30px;
    border-radius: 10px;
    text-align: center;
}

.progress-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr); 
    gap: 50px; 
}

.progress-item {
    padding: 15px;
    text-align: left; 
}

.progress-item label {
    font-family: "Buda", serif;
    font-weight: 300;
    font-style: normal;
    color: #5a7746;
    display: block;
    margin-bottom: 5px;
    font-size: 11px;
    text-transform: uppercase;
    font-weight: bold;
    text-align: center;
}

progress {
    width: 100%;
    height: 15px; 
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border-radius: 5px;
    box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.2);
}

progress::-webkit-progress-bar {
    background-color: #e0e0e0;
    border-radius: 5px;
    box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.2);
}

progress::-webkit-progress-value {
    background-color: #96a58c; 
    border-radius: 5px;
    transition: width 0.5s ease-in-out;
}

progress::-moz-progress-bar {
    background-color: #28a745; 
    border-radius: 5px;
    transition: width 0.5s ease-in-out;
}

progress {
    color: #28a745;
}

@media (max-width: 768px) {
    .progress-grid {
        grid-template-columns: repeat(2, 1fr); 
            }
}

@media (max-width: 480px) {
    .progress-grid {
        grid-template-columns: 1fr; 
            }
}